Bug 13155 - Yamaha YF PCI kernel module won't load
Summary: Yamaha YF PCI kernel module won't load
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-28 12:19 UTC by Brent Nordquist
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 15:21:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brent Nordquist 2000-06-28 12:19:10 UTC
After a custom install of Winston Beta-2, the Yamaha YF PCI kernel module
doesn't load on boot:

/lib/modules/2.2.16-3/misc/ymf_sb.o: init_module: Device or resource busy
/lib/modules/2.2.16-3/misc/ymf_sb.o: insmod
/lib/modules/2.2.16-3/misc/ymf_sb.o failed
/lib/modules/2.2.16-3/misc/ymf_sb.o: insmod sound-slot-0 failed

Comment 1 Brent Nordquist 2000-07-10 22:08:31 UTC
Confirmed still happening in Winston Beta-3.

Comment 2 Michael K. Johnson 2000-08-01 21:49:38 UTC
New driver in Pinstripe; did it fix it?

Comment 3 Michael K. Johnson 2000-08-03 16:25:23 UTC
At least the newer kernel I gave you for testing the USB
oops should fix this.  Can you check that and get back to
me?  Thanks!

Comment 4 Brent Nordquist 2000-08-04 13:27:12 UTC
Will do.  Sorry for the delay; busy week and I'm only in 'til lunch today.  This
is a different machine from the USB one, so I have to install Pinstripe on the
YF one.  I'll try to get to this today, or Monday for sure.

Comment 5 Michael K. Johnson 2000-08-04 15:21:16 UTC
You don't have to install all of Pinstripe to test; just the
new kernel should install fine AFAIK.

Comment 6 Alan Cox 2000-08-06 01:22:45 UTC
The module is ok here. The vaio hang bug is still there but the loading bug is
gone


Comment 7 Nalin Dahyabhai 2000-08-09 15:48:53 UTC
Under 2.2.16-21, the module loads on a VAIO 540 laptop, but attempts to play
audio flood the console with the message "Sound: Error. Audio interrupt (0)
after freeing buffers." and locks the system hard.


Note You need to log in before you can comment on or make changes to this bug.